Bug 239453 - databases/sfcgal: Update to 1.3.7
Summary: databases/sfcgal: Update to 1.3.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/Oslandia/SFCGAL/re...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2019-07-26 05:10 UTC by Loïc Bartoletti
Modified: 2019-07-30 04:37 UTC (History)
1 user (show)

See Also:


Attachments
sfcgal 1.3.7 (932 bytes, patch)
2019-07-26 05:10 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2019-07-26 05:10:56 UTC
Created attachment 206072 [details]
sfcgal 1.3.7

Update to 1.3.7

Poudriere 11/12/13 OK

* Fix compilation with CGAL 4.14 (fix #188, path by Sebastien Loriot)
* Build Triangulation even with intersecting constraint edges (Patch by Darafei Praliaskouski)
* Fix C API headers (Patch by Matthieu Viry)
Comment 1 commit-hook freebsd_committer 2019-07-30 04:36:01 UTC
A commit references this bug:

Author: kai
Date: Tue Jul 30 04:35:33 UTC 2019
New revision: 507623
URL: https://svnweb.freebsd.org/changeset/ports/507623

Log:
  databases/sfcgal: Update to 1.3.7

  Changelog:

  * Fix compilation with CGAL 4.14
  * Build Triangulation even with intersecting constraint edges
  * Fix C API headers

  PR:		239453
  Submitted by:	lbartoletti <lbartoletti@tuxfamily.org> (maintainer)

Changes:
  head/databases/sfcgal/Makefile
  head/databases/sfcgal/distinfo
Comment 2 Kai Knoblich freebsd_committer 2019-07-30 04:37:50 UTC
Committed, thanks!